MyGUI::CoordConverter Class Reference

`#include <MyGUI_CoordConverter.h>`

## Static Public Member Functions

static FloatRect | convertTextureCoord (const IntCoord &_coord, const IntSize &_textureSize)
static IntCoord | convertFromRelative (const FloatCoord &_coord, const IntSize &_view)
static IntSize | convertFromRelative (const FloatSize &_size, const IntSize &_view)
static IntPoint | convertFromRelative (const FloatPoint &_point, const IntSize &_view)
static FloatCoord | convertToRelative (const IntCoord &_coord, const IntSize &_view)
static FloatSize | convertToRelative (const IntSize &_size, const IntSize &_view)
static FloatPoint | convertToRelative (const IntPoint &_point, const IntSize &_view)
static IntCoord | convertFromRelative (const DoubleCoord &_coord, const IntSize &_view)
static DoubleCoord | convertToRelativeD (const IntCoord &_coord, const IntSize &_view)

## Detailed Description

Definition at line 16 of file MyGUI_CoordConverter.h.

## Member Function Documentation

## convertFromRelative() [1/4]

IntCoord MyGUI::CoordConverter::convertFromRelative | ( | const DoubleCoord & | _coord,
|  | const IntSize & | _view )

inline static

Definition at line 81 of file MyGUI_CoordConverter.h.

## convertFromRelative() [2/4]

IntCoord MyGUI::CoordConverter::convertFromRelative | ( | const FloatCoord & | _coord,
|  | const IntSize & | _view )

inline static

Definition at line 34 of file MyGUI_CoordConverter.h.

## convertFromRelative() [3/4]

IntPoint MyGUI::CoordConverter::convertFromRelative | ( | const FloatPoint & | _point,
|  | const IntSize & | _view )

inline static

Definition at line 54 of file MyGUI_CoordConverter.h.

## convertFromRelative() [4/4]

IntSize MyGUI::CoordConverter::convertFromRelative | ( | const FloatSize & | _size,
|  | const IntSize & | _view )

inline static

Definition at line 46 of file MyGUI_CoordConverter.h.

## convertTextureCoord()

FloatRect MyGUI::CoordConverter::convertTextureCoord | ( | const IntCoord & | _coord,
|  | const IntSize & | _textureSize )

inline static

Convert pixel coordinates to texture UV coordinates

Definition at line 20 of file MyGUI_CoordConverter.h.

## convertToRelative() [1/3]

FloatCoord MyGUI::CoordConverter::convertToRelative | ( | const IntCoord & | _coord,
|  | const IntSize & | _view )

inline static

Definition at line 62 of file MyGUI_CoordConverter.h.

## convertToRelative() [2/3]

FloatPoint MyGUI::CoordConverter::convertToRelative | ( | const IntPoint & | _point,
|  | const IntSize & | _view )

inline static

Definition at line 76 of file MyGUI_CoordConverter.h.

## convertToRelative() [3/3]

FloatSize MyGUI::CoordConverter::convertToRelative | ( | const IntSize & | _size,
|  | const IntSize & | _view )

inline static

Definition at line 71 of file MyGUI_CoordConverter.h.

## convertToRelativeD()

DoubleCoord MyGUI::CoordConverter::convertToRelativeD | ( | const IntCoord & | _coord,
|  | const IntSize & | _view )

inline static

Definition at line 90 of file MyGUI_CoordConverter.h.

The documentation for this class was generated from the following file:

- MyGUI_CoordConverter.h